commit 1d28cc061677bd07d9bed48dd84bd5c590247043
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Nov 27 14:40:20 2022 +0000

    SPDX: Mass-update to GPL-2.0-or-later
    
    This is based on the text in src/NOTICE
    which is taken to override text in individual files

diff --git a/src/Makefile b/src/Makefile
index b774b43dd..d190d9aa0 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -4,6 +4,7 @@
 
 # Copyright (c) The Exim Maintainers 2022
 # Copyright (c) University of Cambridge, 1995 - 2018
+# SPDX-License-Identifier: GPL-2.0-or-later
 # See the file NOTICE for conditions of use and distribution.
 
 # IRIX make uses the shell that is in the SHELL variable, which often defaults
diff --git a/src/NOTICE b/src/NOTICE
index b4a5c407f..4aa562ea3 100644
--- a/src/NOTICE
+++ b/src/NOTICE
@@ -2,6 +2,7 @@ THE EXIM MAIL TRANSFER AGENT
 ----------------------------
 
 Copyright (c) 2004 University of Cambridge
+SPDX-License-Identifier: GPL-2.0-or-later
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
diff --git a/src/OS/Makefile-Base b/src/OS/Makefile-Base
index 0c64d45d4..4e1f61a26 100644
--- a/src/OS/Makefile-Base
+++ b/src/OS/Makefile-Base
@@ -1,5 +1,4 @@
 # This file is the basis of the main makefile for Exim and friends. The
-#
 # makefile at the top level arranges to build the main makefile by calling
 # scripts/Configure-Makefile from within the build directory. This
 # concatenates the configuration settings from Local/Makefile and other,
@@ -7,6 +6,7 @@
 # build directory.
 #
 # Copyright (c) The Exim Maintainers 1995 - 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 SHELL      = $(MAKE_SHELL)
 SCRIPTS    = ../scripts
diff --git a/src/OS/Makefile-Default b/src/OS/Makefile-Default
index 6e42db471..7481d3163 100644
--- a/src/OS/Makefile-Default
+++ b/src/OS/Makefile-Default
@@ -2,6 +2,9 @@
 #          The Exim mail transport agent         #
 ##################################################
 
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # Generic default make file containing settings that relate to the OS or
 # to selectable features within the OS. The configuration options for Exim
 # itself live in Local/Makefile, which is constructed by editing src/EDITME.
diff --git a/src/OS/Makefile-FreeBSD b/src/OS/Makefile-FreeBSD
index 4793a438b..f0fb8f2c9 100644
--- a/src/OS/Makefile-FreeBSD
+++ b/src/OS/Makefile-FreeBSD
@@ -1,5 +1,7 @@
 # Exim: OS-specific make file for FreeBSD
+#
 # Copyright (c) The Exim Maintainers 2020
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CHOWN_COMMAND=/usr/sbin/chown
 #STRIP_COMMAND=/usr/bin/strip
diff --git a/src/OS/Makefile-GNU b/src/OS/Makefile-GNU
index b49976f8c..366ce4263 100644
--- a/src/OS/Makefile-GNU
+++ b/src/OS/Makefile-GNU
@@ -1,5 +1,7 @@
 # Exim: OS-specific make file for GNU and variants.
+#
 # Copyright (c) The Exim Maintainers 2020
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HAVE_ICONV=yes
 
diff --git a/src/OS/Makefile-OpenBSD b/src/OS/Makefile-OpenBSD
index 7c451e2cc..da648df43 100644
--- a/src/OS/Makefile-OpenBSD
+++ b/src/OS/Makefile-OpenBSD
@@ -1,5 +1,6 @@
 # Exim: OS-specific make file for OpenBSD
 # Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CHOWN_COMMAND=/usr/sbin/chown
 CHGRP_COMMAND=/usr/sbin/chgrp
diff --git a/src/OS/Makefile-SunOS5 b/src/OS/Makefile-SunOS5
index d07adcff4..e8b0d9506 100644
--- a/src/OS/Makefile-SunOS5
+++ b/src/OS/Makefile-SunOS5
@@ -1,5 +1,6 @@
 # Exim: OS-specific make file for SunOS5
 # Copyright (c) The Exim Maintainers 2020
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HAVE_ICONV=yes
 
diff --git a/src/OS/eximon.conf-Default b/src/OS/eximon.conf-Default
index 2f874ef53..d003156e6 100644
--- a/src/OS/eximon.conf-Default
+++ b/src/OS/eximon.conf-Default
@@ -2,6 +2,9 @@
 # These can be overridden by OS-specific scripts and local installation
 # scripts, and also at run time by shell variables.
 
+# Copyright (c) The Exim Maintainers 2022
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # The name of the eximon binary, usually the same as the eximon script,
 # with .bin stuck on the end.
 
diff --git a/src/OS/os.c-FreeBSD b/src/OS/os.c-FreeBSD
index 02b78587b..d65a789c0 100644
--- a/src/OS/os.c-FreeBSD
+++ b/src/OS/os.c-FreeBSD
@@ -4,6 +4,7 @@
 
 /* Copyright (c) Jeremy Harris 1995 - 2020 */
 /* Copyright (c) The Exim Maintainers 2021 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* FreeBSD-specific code. This is concatenated onto the generic
diff --git a/src/OS/os.c-GNU b/src/OS/os.c-GNU
index dbd014918..2b2aeed22 100644
--- a/src/OS/os.c-GNU
+++ b/src/OS/os.c-GNU
@@ -3,6 +3,7 @@
 *************************************************/
 
 /* Copyright (c) The Exim Maintainers 2020 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* GNU-specific code. This is concatenated onto the generic src/os.c file.
diff --git a/src/OS/os.c-Linux b/src/OS/os.c-Linux
index 59d81f8ad..34dd7c190 100644
--- a/src/OS/os.c-Linux
+++ b/src/OS/os.c-Linux
@@ -3,6 +3,7 @@
 *************************************************/
 
 /* Copyright (c) University of Cambridge 1997 - 2018 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* Linux-specific code. This is concatenated onto the generic
diff --git a/src/OS/os.c-SunOS5 b/src/OS/os.c-SunOS5
index 162486958..ec4bb8d42 100644
--- a/src/OS/os.c-SunOS5
+++ b/src/OS/os.c-SunOS5
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 2016 */
 /* Copyright (c) Jeremy Harris 2016 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* Solaris-specific code. This is concatenated onto the generic
diff --git a/src/OS/os.h-FreeBSD b/src/OS/os.h-FreeBSD
index 06e217a44..6756d42f6 100644
--- a/src/OS/os.h-FreeBSD
+++ b/src/OS/os.h-FreeBSD
@@ -1,6 +1,7 @@
 /* Exim: OS-specific C header file for FreeBSD */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 
diff --git a/src/OS/os.h-GNU b/src/OS/os.h-GNU
index 4b222600e..4fe55fa5e 100644
--- a/src/OS/os.h-GNU
+++ b/src/OS/os.h-GNU
@@ -1,5 +1,6 @@
 /* Exim: OS-specific C header file for GNU/Hurd */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include <features.h>
 
diff --git a/src/OS/os.h-Linux b/src/OS/os.h-Linux
index e6a8d288e..25a12862b 100644
--- a/src/OS/os.h-Linux
+++ b/src/OS/os.h-Linux
@@ -1,6 +1,7 @@
 /* Exim: OS-specific C header file for Linux */
 /* Copyright (c) University of Cambridge 1995 - 2020 */
 /* Copyright (c) The Exim Maintainers 2021 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 
diff --git a/src/OS/os.h-OpenBSD b/src/OS/os.h-OpenBSD
index c690b6e4a..19db7189a 100644
--- a/src/OS/os.h-OpenBSD
+++ b/src/OS/os.h-OpenBSD
@@ -1,6 +1,7 @@
 /* Exim: OS-specific C header file for OpenBSD */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2021 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 
diff --git a/src/OS/os.h-SunOS5 b/src/OS/os.h-SunOS5
index 71253213c..b3f55bf83 100644
--- a/src/OS/os.h-SunOS5
+++ b/src/OS/os.h-SunOS5
@@ -1,5 +1,6 @@
 /* Exim: OS-specific C header file for SunOS5 aka Solaris */
 /* Copyright (c) The Exim Maintainers 2021 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define CRYPT_H
 #define HAVE_MMAP
diff --git a/src/OS/unsupported/Makefile-AIX b/src/OS/unsupported/Makefile-AIX
index fc32aa286..f407cbcaf 100644
--- a/src/OS/unsupported/Makefile-AIX
+++ b/src/OS/unsupported/Makefile-AIX
@@ -1,6 +1,7 @@
 # Exim: OS-specific make file for AIX
 # Written by Nick Waterman (nick@cimio.co.uk)
 # Modified by PH following a message from Mike Meredith
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # Note that the output of uname -m is probably not what Philip expected,
 # so you might end up with more build-AIX-random_number directories than
diff --git a/src/OS/unsupported/Makefile-BSDI b/src/OS/unsupported/Makefile-BSDI
index d56aa9b57..6ea176319 100644
--- a/src/OS/unsupported/Makefile-BSDI
+++ b/src/OS/unsupported/Makefile-BSDI
@@ -1,5 +1,6 @@
 # Exim: OS-specific make file for BSDI aka BSD/OS. Its antique link editor
 # cannot handle the TextPop overriding.
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CFLAGS=-O
 CHOWN_COMMAND=/usr/sbin/chown
diff --git a/src/OS/unsupported/Makefile-CYGWIN b/src/OS/unsupported/Makefile-CYGWIN
index 5e608fe9e..bc4545b47 100644
--- a/src/OS/unsupported/Makefile-CYGWIN
+++ b/src/OS/unsupported/Makefile-CYGWIN
@@ -1,4 +1,5 @@
 # OS-specific file for Cygwin.
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # This file provided by Pierre A. Humblet <Pierre.Humblet@ieee.org>
 
diff --git a/src/OS/unsupported/Makefile-DGUX b/src/OS/unsupported/Makefile-DGUX
index 667c63f49..1258ba4e4 100644
--- a/src/OS/unsupported/Makefile-DGUX
+++ b/src/OS/unsupported/Makefile-DGUX
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for DGUX
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Written by Ken Bailey (K.Bailey@rbgkew.org.uk) Feb 1998
 # on dgux R4.11MU04 generic AViiON mc88100
diff --git a/src/OS/unsupported/Makefile-Darwin b/src/OS/unsupported/Makefile-Darwin
index 517bbc493..bdd9d110d 100644
--- a/src/OS/unsupported/Makefile-Darwin
+++ b/src/OS/unsupported/Makefile-Darwin
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for Darwin (Mac OS X).
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CC=cc
 
diff --git a/src/OS/unsupported/Makefile-DragonFly b/src/OS/unsupported/Makefile-DragonFly
index c49c59ffc..9d845f13f 100644
--- a/src/OS/unsupported/Makefile-DragonFly
+++ b/src/OS/unsupported/Makefile-DragonFly
@@ -1,4 +1,6 @@
 # Exim: OS-specific make file for DragonFly
+# SPDX-License-Identifier: GPL-2.0-or-later
+#
 # There's no setting of CFLAGS here, to allow the system default
 # for "make" to be the default.
 
diff --git a/src/OS/unsupported/Makefile-GNUkFreeBSD b/src/OS/unsupported/Makefile-GNUkFreeBSD
index 801928143..b5ed325d1 100644
--- a/src/OS/unsupported/Makefile-GNUkFreeBSD
+++ b/src/OS/unsupported/Makefile-GNUkFreeBSD
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for GNU and variants.
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HAVE_ICONV=yes
 
diff --git a/src/OS/unsupported/Makefile-GNUkNetBSD b/src/OS/unsupported/Makefile-GNUkNetBSD
index 801928143..b5ed325d1 100644
--- a/src/OS/unsupported/Makefile-GNUkNetBSD
+++ b/src/OS/unsupported/Makefile-GNUkNetBSD
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for GNU and variants.
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HAVE_ICONV=yes
 
diff --git a/src/OS/unsupported/Makefile-HI-OSF b/src/OS/unsupported/Makefile-HI-OSF
index da3d487a4..66aac36b9 100644
--- a/src/OS/unsupported/Makefile-HI-OSF
+++ b/src/OS/unsupported/Makefile-HI-OSF
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for HI-OSF/1-MJ and HI-UX/MPP
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CC=cc
 CFLAGS=-O
diff --git a/src/OS/unsupported/Makefile-HI-UX b/src/OS/unsupported/Makefile-HI-UX
index 870ee8460..c1f4fe51a 100644
--- a/src/OS/unsupported/Makefile-HI-UX
+++ b/src/OS/unsupported/Makefile-HI-UX
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for HI-UX
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CC=cc -Aa -D_HIUX_SOURCE
 HAVE_SETRESUID=YES
diff --git a/src/OS/unsupported/Makefile-HP-UX b/src/OS/unsupported/Makefile-HP-UX
index ea35144bb..7e6cd9dba 100644
--- a/src/OS/unsupported/Makefile-HP-UX
+++ b/src/OS/unsupported/Makefile-HP-UX
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for HP-UX later than 9
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # HP ANSI C compiler
 #CC=cc
diff --git a/src/OS/unsupported/Makefile-HP-UX-9 b/src/OS/unsupported/Makefile-HP-UX-9
index 153000944..ad28d4fdb 100644
--- a/src/OS/unsupported/Makefile-HP-UX-9
+++ b/src/OS/unsupported/Makefile-HP-UX-9
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for HP-UX 9
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CFLAGS=-O
 BASENAME_COMMAND=/bin/basename
diff --git a/src/OS/unsupported/Makefile-IRIX b/src/OS/unsupported/Makefile-IRIX
index 7b9578339..a9925956b 100644
--- a/src/OS/unsupported/Makefile-IRIX
+++ b/src/OS/unsupported/Makefile-IRIX
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for IRIX
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HAVE_ICONV=yes
 BASENAME_COMMAND=/sbin/basename
diff --git a/src/OS/unsupported/Makefile-IRIX6 b/src/OS/unsupported/Makefile-IRIX6
index be0113846..6140649d1 100644
--- a/src/OS/unsupported/Makefile-IRIX6
+++ b/src/OS/unsupported/Makefile-IRIX6
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for IRIX6 on 64-bit systems
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HAVE_ICONV=yes
 HOSTNAME_COMMAND=/usr/bsd/hostname
diff --git a/src/OS/unsupported/Makefile-IRIX632 b/src/OS/unsupported/Makefile-IRIX632
index b567fc64e..2b19463ff 100644
--- a/src/OS/unsupported/Makefile-IRIX632
+++ b/src/OS/unsupported/Makefile-IRIX632
@@ -1,4 +1,6 @@
 # Exim: OS-specific make file for IRIX 6 on 32-bit systems.
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # There seems to be some variation. The commented settings show
 # some alternatives.
 
diff --git a/src/OS/unsupported/Makefile-IRIX65 b/src/OS/unsupported/Makefile-IRIX65
index 50e77450a..4ad77a66f 100644
--- a/src/OS/unsupported/Makefile-IRIX65
+++ b/src/OS/unsupported/Makefile-IRIX65
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for IRIX 6.5
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HAVE_ICONV=yes
 HOSTNAME_COMMAND=/usr/bsd/hostname
diff --git a/src/OS/unsupported/Makefile-NetBSD b/src/OS/unsupported/Makefile-NetBSD
index 35d03a24a..6792da216 100644
--- a/src/OS/unsupported/Makefile-NetBSD
+++ b/src/OS/unsupported/Makefile-NetBSD
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for NetBSD (ELF object format)
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CHOWN_COMMAND=/usr/sbin/chown
 CHMOD_COMMAND=/bin/chmod
diff --git a/src/OS/unsupported/Makefile-OSF1 b/src/OS/unsupported/Makefile-OSF1
index 811ca07a9..73814cec6 100644
--- a/src/OS/unsupported/Makefile-OSF1
+++ b/src/OS/unsupported/Makefile-OSF1
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for OSF1
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CFLAGS=-O
 LIBS=-liconv -lm
diff --git a/src/OS/unsupported/Makefile-OpenUNIX b/src/OS/unsupported/Makefile-OpenUNIX
index e4d726158..dbab2b557 100644
--- a/src/OS/unsupported/Makefile-OpenUNIX
+++ b/src/OS/unsupported/Makefile-OpenUNIX
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for OpenUNIX
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CC=/usr/bin/cc
 CFLAGS=-O -I/usr/local/include
diff --git a/src/OS/unsupported/Makefile-QNX b/src/OS/unsupported/Makefile-QNX
index 3cf81c41b..7d957b27c 100644
--- a/src/OS/unsupported/Makefile-QNX
+++ b/src/OS/unsupported/Makefile-QNX
@@ -1,4 +1,5 @@
 # Exim: OS-specific makefile for QNX
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 BASENAME_COMMAND=/bin/basename
 MAKE_SHELL=/usr/bin/bash
diff --git a/src/OS/unsupported/Makefile-SCO b/src/OS/unsupported/Makefile-SCO
index baa61d80b..c936ec536 100644
--- a/src/OS/unsupported/Makefile-SCO
+++ b/src/OS/unsupported/Makefile-SCO
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for SCO
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # It was reported that some versions of gcc (e.g. 2.8.1) require this to be
 # CFLAGS=-melf
diff --git a/src/OS/unsupported/Makefile-SCO_SV b/src/OS/unsupported/Makefile-SCO_SV
index 249b81a0f..9baf1c470 100644
--- a/src/OS/unsupported/Makefile-SCO_SV
+++ b/src/OS/unsupported/Makefile-SCO_SV
@@ -1,6 +1,7 @@
 # Exim: OS-specific make file for SCO_SV release 5 (tested on 5.0.5 & 5.0.5)
 #       (see the UNIX_SV files for SCO 4.2)
 # Supplied by: Tony Earnshaw <tonye@ilion.nl>
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # Note that 'gcc -melf -m486' applies to gcc 2.7.2 and higher;
 # 2.7.1 and SCO's SDK need '-belf'.
diff --git a/src/OS/unsupported/Makefile-SunOS4 b/src/OS/unsupported/Makefile-SunOS4
index c876998e5..0dec44b65 100644
--- a/src/OS/unsupported/Makefile-SunOS4
+++ b/src/OS/unsupported/Makefile-SunOS4
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for SunOS4
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 CFLAGS=-O
 
diff --git a/src/OS/unsupported/Makefile-SunOS5-hal b/src/OS/unsupported/Makefile-SunOS5-hal
index 05ea893af..05759f369 100644
--- a/src/OS/unsupported/Makefile-SunOS5-hal
+++ b/src/OS/unsupported/Makefile-SunOS5-hal
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for SunOS5 on a HAL
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # Note: The HAL runs a standard SunOS5 except that it has a 64 bit C
 # compiler called hcc.  To make things work pass the -KV7 flag to force
diff --git a/src/OS/unsupported/Makefile-ULTRIX b/src/OS/unsupported/Makefile-ULTRIX
index 9e912b3cb..00a95b950 100644
--- a/src/OS/unsupported/Makefile-ULTRIX
+++ b/src/OS/unsupported/Makefile-ULTRIX
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for Ultrix
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 MAKE_SHELL=/usr/bin/sh5
 
diff --git a/src/OS/unsupported/Makefile-UNIX_SV b/src/OS/unsupported/Makefile-UNIX_SV
index bfcfae1c0..5ea8567a5 100644
--- a/src/OS/unsupported/Makefile-UNIX_SV
+++ b/src/OS/unsupported/Makefile-UNIX_SV
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for SCO SVR4.2MP (and maybe Unixware)
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 #  *** Note that for SCO 5 the configuration file is called SCO_SV,
 #  *** and that Unixware7 has its own configuration. This is an old
diff --git a/src/OS/unsupported/Makefile-USG b/src/OS/unsupported/Makefile-USG
index 753a2d7e8..69a31bc15 100644
--- a/src/OS/unsupported/Makefile-USG
+++ b/src/OS/unsupported/Makefile-USG
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for Unixware 2.x
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Note that Unixware does not include db/dbm/ndbm with their standard compiler
 # (it is available with /usr/ucb/cc, but that has bugs of its own). You
diff --git a/src/OS/unsupported/Makefile-Unixware7 b/src/OS/unsupported/Makefile-Unixware7
index 88a883801..0dc1afb1a 100644
--- a/src/OS/unsupported/Makefile-Unixware7
+++ b/src/OS/unsupported/Makefile-Unixware7
@@ -1,5 +1,6 @@
 # Exim: OS-specific make file for Unixware7
 # Based on information from James FitzGibbon <james@ehlo.com>
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 # If you want to use libbind, you need to
 #     add -I/usr/local/bind/include to CFLAGS
diff --git a/src/OS/unsupported/Makefile-mips b/src/OS/unsupported/Makefile-mips
index ff3313937..d48adb411 100644
--- a/src/OS/unsupported/Makefile-mips
+++ b/src/OS/unsupported/Makefile-mips
@@ -1,4 +1,5 @@
 # Exim: OS-specific make file for RiscOS4bsd
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 HOSTNAME_COMMAND=/usr/ucb/hostname
 EXIT_FAILURE=1
diff --git a/src/OS/unsupported/os.c-BSDI b/src/OS/unsupported/os.c-BSDI
index 03a7a1cef..42160046b 100644
--- a/src/OS/unsupported/os.c-BSDI
+++ b/src/OS/unsupported/os.c-BSDI
@@ -3,6 +3,7 @@
 *************************************************/
 
 /* Copyright (c) 2016 Heiko Schlittermann <hs@schlittermann.de> */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* BSDI-specific code. This is concatenated onto the generic
diff --git a/src/OS/unsupported/os.c-HI-OSF b/src/OS/unsupported/os.c-HI-OSF
index 5e3d336f2..56db57fd5 100644
--- a/src/OS/unsupported/os.c-HI-OSF
+++ b/src/OS/unsupported/os.c-HI-OSF
@@ -3,6 +3,7 @@
 *************************************************/
 
 /* Copyright (c) University of Cambridge 2001 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* HI-OSF-specific code. This is concatenated onto the generic
diff --git a/src/OS/unsupported/os.c-HP-UX b/src/OS/unsupported/os.c-HP-UX
index fdd8708a2..1178b782f 100644
--- a/src/OS/unsupported/os.c-HP-UX
+++ b/src/OS/unsupported/os.c-HP-UX
@@ -4,6 +4,7 @@
 
 /* Copyright (c) University of Cambridge 2016 */
 /* Copyright (c) Jeremy Harris 2016 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* HP-UX-specific code. This is concatenated onto the generic
diff --git a/src/OS/unsupported/os.c-IRIX b/src/OS/unsupported/os.c-IRIX
index 19172389b..1019901dc 100644
--- a/src/OS/unsupported/os.c-IRIX
+++ b/src/OS/unsupported/os.c-IRIX
@@ -4,6 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 2001 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* Irix-specific code. This is concatenated onto the generic src/os.c file.
diff --git a/src/OS/unsupported/os.c-IRIX6 b/src/OS/unsupported/os.c-IRIX6
index 19172389b..1019901dc 100644
--- a/src/OS/unsupported/os.c-IRIX6
+++ b/src/OS/unsupported/os.c-IRIX6
@@ -4,6 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 2001 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* Irix-specific code. This is concatenated onto the generic src/os.c file.
diff --git a/src/OS/unsupported/os.c-IRIX632 b/src/OS/unsupported/os.c-IRIX632
index 19172389b..1019901dc 100644
--- a/src/OS/unsupported/os.c-IRIX632
+++ b/src/OS/unsupported/os.c-IRIX632
@@ -4,6 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 2001 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* Irix-specific code. This is concatenated onto the generic src/os.c file.
diff --git a/src/OS/unsupported/os.c-IRIX65 b/src/OS/unsupported/os.c-IRIX65
index 19172389b..1019901dc 100644
--- a/src/OS/unsupported/os.c-IRIX65
+++ b/src/OS/unsupported/os.c-IRIX65
@@ -4,6 +4,7 @@
 
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 2001 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* Irix-specific code. This is concatenated onto the generic src/os.c file.
diff --git a/src/OS/unsupported/os.c-OSF1 b/src/OS/unsupported/os.c-OSF1
index ad91b63d1..4dc700f79 100644
--- a/src/OS/unsupported/os.c-OSF1
+++ b/src/OS/unsupported/os.c-OSF1
@@ -3,6 +3,7 @@
 *************************************************/
 
 /* Copyright (c) University of Cambridge 2001 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* See the file NOTICE for conditions of use and distribution. */
 
 /* OSF1-specific code. This is concatenated onto the generic src/os.c file.
diff --git a/src/OS/unsupported/os.c-cygwin b/src/OS/unsupported/os.c-cygwin
index 5ca05a8db..56085b857 100644
--- a/src/OS/unsupported/os.c-cygwin
+++ b/src/OS/unsupported/os.c-cygwin
@@ -1,6 +1,7 @@
 /*************************************************
 *     Exim - an Internet mail transport agent    *
 *************************************************/
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Cygwin-specific code. December 2002. Updated Jan 2015.
    This is prefixed to the src/os.c file.
diff --git a/src/OS/unsupported/os.h-AIX b/src/OS/unsupported/os.h-AIX
index 5cd4501a4..d70b907f5 100644
--- a/src/OS/unsupported/os.h-AIX
+++ b/src/OS/unsupported/os.h-AIX
@@ -1,4 +1,6 @@
 /* Exim: OS-specific C header file for AIX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
+
 /* Written by Nick Waterman <nick@cimio.co.uk> */
 /* Modified by Philip Hazel with data from
    Niels Provos <provos@wserver.physnet.uni-hamburg.de>
diff --git a/src/OS/unsupported/os.h-BSDI b/src/OS/unsupported/os.h-BSDI
index a1705ec95..0a5dd93e6 100644
--- a/src/OS/unsupported/os.h-BSDI
+++ b/src/OS/unsupported/os.h-BSDI
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for BSDI */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define HAVE_BSD_GETLOADAVG
 #define HAVE_SETCLASSRESOURCES
diff --git a/src/OS/unsupported/os.h-DGUX b/src/OS/unsupported/os.h-DGUX
index 9040f0e72..a4918b649 100644
--- a/src/OS/unsupported/os.h-DGUX
+++ b/src/OS/unsupported/os.h-DGUX
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for DGUX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Written by Ken Bailey (K.Bailey@rbgkew.org.uk) Feb 1998 */
 /* on dgux R4.11MU04 generic AViiON mc88100                */
diff --git a/src/OS/unsupported/os.h-Darwin b/src/OS/unsupported/os.h-Darwin
index a85e92f05..8cec8a90f 100644
--- a/src/OS/unsupported/os.h-Darwin
+++ b/src/OS/unsupported/os.h-Darwin
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for Darwin (Mac OS X) */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* #define CRYPT_H */  /* Apparently this isn't needed */
 
diff --git a/src/OS/unsupported/os.h-DragonFly b/src/OS/unsupported/os.h-DragonFly
index 4c2f1d508..122957f8d 100644
--- a/src/OS/unsupported/os.h-DragonFly
+++ b/src/OS/unsupported/os.h-DragonFly
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for DragonFly */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define HAVE_BSD_GETLOADAVG
 #define HAVE_MMAP
diff --git a/src/OS/unsupported/os.h-GNUkFreeBSD b/src/OS/unsupported/os.h-GNUkFreeBSD
index ab3503131..9326951c2 100644
--- a/src/OS/unsupported/os.h-GNUkFreeBSD
+++ b/src/OS/unsupported/os.h-GNUkFreeBSD
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for GNU/kFreeBSD */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define CRYPT_H
 #define GLIBC_IP_OPTIONS
diff --git a/src/OS/unsupported/os.h-GNUkNetBSD b/src/OS/unsupported/os.h-GNUkNetBSD
index bc3bc259d..f255b383d 100644
--- a/src/OS/unsupported/os.h-GNUkNetBSD
+++ b/src/OS/unsupported/os.h-GNUkNetBSD
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for GNU/kNetBSD */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define CRYPT_H
 #define GLIBC_IP_OPTIONS
diff --git a/src/OS/unsupported/os.h-HI-OSF b/src/OS/unsupported/os.h-HI-OSF
index 0f50fb660..9dc59cbcd 100644
--- a/src/OS/unsupported/os.h-HI-OSF
+++ b/src/OS/unsupported/os.h-HI-OSF
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for HI-OSF/1-MJ and HI-UX/MPP */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define HAVE_SYS_MOUNT_H
 
diff --git a/src/OS/unsupported/os.h-HI-UX b/src/OS/unsupported/os.h-HI-UX
index f3df9638c..8a83ce0b0 100644
--- a/src/OS/unsupported/os.h-HI-UX
+++ b/src/OS/unsupported/os.h-HI-UX
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for HI-UX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define LOAD_AVG_NEEDS_ROOT
 #define HAVE_DEV_KMEM
diff --git a/src/OS/unsupported/os.h-HP-UX b/src/OS/unsupported/os.h-HP-UX
index 4998734f6..e74c254f6 100644
--- a/src/OS/unsupported/os.h-HP-UX
+++ b/src/OS/unsupported/os.h-HP-UX
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for HP-UX versions greater than 9 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define EXIM_SOCKLEN_T size_t
 
diff --git a/src/OS/unsupported/os.h-HP-UX-9 b/src/OS/unsupported/os.h-HP-UX-9
index 5a260d607..cb967a001 100644
--- a/src/OS/unsupported/os.h-HP-UX-9
+++ b/src/OS/unsupported/os.h-HP-UX-9
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for HP-UX version 9 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define LOAD_AVG_NEEDS_ROOT
 #define HAVE_DEV_KMEM
diff --git a/src/OS/unsupported/os.h-IRIX b/src/OS/unsupported/os.h-IRIX
index 1d4bf46ba..ceff6ea05 100644
--- a/src/OS/unsupported/os.h-IRIX
+++ b/src/OS/unsupported/os.h-IRIX
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for IRIX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define DN_EXPAND_ARG4_TYPE  u_char *
 
diff --git a/src/OS/unsupported/os.h-IRIX6 b/src/OS/unsupported/os.h-IRIX6
index bf3076713..59bf6c46e 100644
--- a/src/OS/unsupported/os.h-IRIX6
+++ b/src/OS/unsupported/os.h-IRIX6
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for IRIX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define CRYPT_H
 #define LOAD_AVG_NEEDS_ROOT
diff --git a/src/OS/unsupported/os.h-IRIX632 b/src/OS/unsupported/os.h-IRIX632
index 90f1c582c..8c171147b 100644
--- a/src/OS/unsupported/os.h-IRIX632
+++ b/src/OS/unsupported/os.h-IRIX632
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for IRIX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define CRYPT_H
 #define DN_EXPAND_ARG4_TYPE  u_char *
diff --git a/src/OS/unsupported/os.h-IRIX65 b/src/OS/unsupported/os.h-IRIX65
index 4b248fe36..381acbd57 100644
--- a/src/OS/unsupported/os.h-IRIX65
+++ b/src/OS/unsupported/os.h-IRIX65
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for IRIX 6.5 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define CRYPT_H
 #define LOAD_AVG_NEEDS_ROOT
diff --git a/src/OS/unsupported/os.h-NetBSD b/src/OS/unsupported/os.h-NetBSD
index 0b9fc03f0..a8e32107a 100644
--- a/src/OS/unsupported/os.h-NetBSD
+++ b/src/OS/unsupported/os.h-NetBSD
@@ -1,5 +1,6 @@
 /* Exim: OS-specific C header file for NetBSD */
 /* Copyright (c) The Exim Maintainers 2021 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define HAVE_BSD_GETLOADAVG
 #define HAVE_GETIFADDRS
diff --git a/src/OS/unsupported/os.h-OSF1 b/src/OS/unsupported/os.h-OSF1
index 6b5fa4973..4c985e8f2 100644
--- a/src/OS/unsupported/os.h-OSF1
+++ b/src/OS/unsupported/os.h-OSF1
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for OSF1 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define HAVE_SYS_MOUNT_H
 #define HAVE_GETIPNODEBYNAME    1
diff --git a/src/OS/unsupported/os.h-OpenUNIX b/src/OS/unsupported/os.h-OpenUNIX
index 67d1063b0..e8fae863a 100644
--- a/src/OS/unsupported/os.h-OpenUNIX
+++ b/src/OS/unsupported/os.h-OpenUNIX
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for OpenUNIX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define NO_SYSEXITS
 
diff --git a/src/OS/unsupported/os.h-QNX b/src/OS/unsupported/os.h-QNX
index 798f799ed..e5b04826c 100644
--- a/src/OS/unsupported/os.h-QNX
+++ b/src/OS/unsupported/os.h-QNX
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for QNX */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 /* Modified for QNX 6.2.0 with diffs from Samuli Tuomola. */
 
 #include <sys/select.h>
diff --git a/src/OS/unsupported/os.h-SCO b/src/OS/unsupported/os.h-SCO
index e5e915ed0..99585ae46 100644
--- a/src/OS/unsupported/os.h-SCO
+++ b/src/OS/unsupported/os.h-SCO
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for SCO */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define DN_EXPAND_ARG4_TYPE    u_char *
 
diff --git a/src/OS/unsupported/os.h-SCO_SV b/src/OS/unsupported/os.h-SCO_SV
index 0ca29f74a..724753e29 100644
--- a/src/OS/unsupported/os.h-SCO_SV
+++ b/src/OS/unsupported/os.h-SCO_SV
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for SCO_SV */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define LOAD_AVG_NEEDS_ROOT
 #define HAVE_DEV_KMEM
diff --git a/src/OS/unsupported/os.h-SunOS4 b/src/OS/unsupported/os.h-SunOS4
index 65556204c..d12acc05c 100644
--- a/src/OS/unsupported/os.h-SunOS4
+++ b/src/OS/unsupported/os.h-SunOS4
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for SunOS4 */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define LOAD_AVG_NEEDS_ROOT
 #define HAVE_DEV_KMEM
diff --git a/src/OS/unsupported/os.h-SunOS5-hal b/src/OS/unsupported/os.h-SunOS5-hal
index cd9e877a9..1a1e43f95 100644
--- a/src/OS/unsupported/os.h-SunOS5-hal
+++ b/src/OS/unsupported/os.h-SunOS5-hal
@@ -1,4 +1,5 @@
 /* Exim: OS-specific C header file for SunOS5 on HAL */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #define HAVE_MMAP
 
